unit WordPro;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Menus;

type
  TWPForm = class(TForm)
    WPMemo: TMemo;
    MainMenu1: TMainMenu;
    Edit1: TMenuItem;
    Font1: TMenuItem;
    Exit1: TMenuItem;
    Cut1: TMenuItem;
    Copy1: TMenuItem;
    Paste1: TMenuItem;
    Times1: TMenuItem;
    Arial1: TMenuItem;
    New1: TMenuItem;
    procedure Exit1Click(Sender: TObject);
    procedure New1Click(Sender: TObject);
    procedure Cut1Click(Sender: TObject);
    procedure Copy1Click(Sender: TObject);
    procedure Paste1Click(Sender: TObject);
    procedure Times1Click(Sender: TObject);
    procedure Arial1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  WPForm: TWPForm;

implementation

{$R *.dfm}

procedure TWPForm.Exit1Click(Sender: TObject);
begin
        Application.Terminate;
end;

procedure TWPForm.New1Click(Sender: TObject);
begin
        WPMemo.Lines.Clear;
end;

procedure TWPForm.Cut1Click(Sender: TObject);
begin
        WPMemo.CutToClipBoard;
end;

procedure TWPForm.Copy1Click(Sender: TObject);
begin
        WPMemo.CopyToClipBoard;
end;

procedure TWPForm.Paste1Click(Sender: TObject);
begin
        WPMemo.PasteFromClipBoard;
end;

procedure TWPForm.Times1Click(Sender: TObject);
begin
        WPMemo.Font.Name := 'Times New Roman';
end;

procedure TWPForm.Arial1Click(Sender: TObject);
begin
        WPMemo.Font.Name := 'Arial';
end;

end.
