unit blob;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TBlobForm = class(TForm)
    BlobImage: TImage;
    Timer1: TTimer;
    QuitButton: TButton;
    StopStartButton: TButton;
    UpButton: TButton;
    LeftButton: TButton;
    RightButton: TButton;
    DownButton: TButton;
    WanderButton: TButton;
    procedure Timer1Timer(Sender: TObject);
    procedure QuitButtonClick(Sender: TObject);
    procedure StopStartButtonClick(Sender: TObject);
    procedure UpButtonClick(Sender: TObject);
    procedure DownButtonClick(Sender: TObject);
    procedure LeftButtonClick(Sender: TObject);
    procedure RightButtonClick(Sender: TObject);
    procedure WanderButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  BlobForm: TBlobForm;
  jump : integer;

implementation

{$R *.DFM}

procedure TBlobForm.Timer1Timer(Sender: TObject);
//Move image from left to right
begin
     if BlobImage.Left > ClientWidth
        then BlobImage.Left := 1
        else BlobImage.Left := BlobImage.Left + 10;
end;

procedure TBlobForm.QuitButtonClick(Sender: TObject);
begin
     close;
end;

procedure TBlobForm.StopStartButtonClick(Sender: TObject);
//Toggle timer
begin
     Timer1.Enabled := not Timer1.Enabled;
end;

procedure TBlobForm.UpButtonClick(Sender: TObject);
//Move up
begin
      BlobImage.Top := BlobImage.Top - 10;
end;

procedure TBlobForm.DownButtonClick(Sender: TObject);
//Move down
begin
      BlobImage.Top := BlobImage.Top + 10;
end;

procedure TBlobForm.LeftButtonClick(Sender: TObject);
//Move left
begin
      BlobImage.Left := BlobImage.Left - 10;
end;

procedure TBlobForm.RightButtonClick(Sender: TObject);
//Move right
begin
      BlobImage.Left := BlobImage.Left + 10;
end;

procedure TBlobForm.WanderButtonClick(Sender: TObject);
//Random move
var   position, updown : integer;
begin
      randomize;
      position := random (200);
      updown := random(4) + 1;
      case updown of
           1: BlobImage.Left := BlobImage.Left + position;
           2: BlobImage.Left := BlobImage.Left - position;
           3: BlobImage.Top := BlobImage.Top + position;
           4: BlobImage.Top := BlobImage.Top - position;
      end;
end;

end.
