unit bubble;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TBubbleForm = class(TForm)
    InputButton: TButton;
    SortButton: TButton;
    ExitButton: TButton;
    DisplayEdit: TEdit;
    procedure ExitButtonClick(Sender: TObject);
    procedure InputButtonClick(Sender: TObject);
    procedure SortButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  BubbleForm: TBubbleForm;


implementation

{$R *.DFM}

var  number : array[1..10] of integer;

procedure TBubbleForm.ExitButtonClick(Sender: TObject);
begin
     close;
end;

procedure TBubbleForm.InputButtonClick(Sender: TObject);
//User to enter 10 values
var data : integer;
begin
   beep;
   for data := 1 to 10 do
      number[data] := StrToInt(InputBox('','Enter number ' + IntToStr(data),''));
   InputButton.Visible := false;
   SortButton.Visible := true;
end;

procedure TBubbleForm.SortButtonClick(Sender: TObject);
//Sort values into order
var  j, temp : integer;
     cont : boolean;
begin
     beep;
     cont := true;
     while cont do
           begin
           cont := false;
           for j := 1 to 9 do
               if number[j] < number[j+1]
               then begin
                    temp := number[j];
                    number[j] := number[j+1];
                    number[j+1] := temp;
                    cont := true;
                    end;  {if}
           end; {while}
     DisplayEdit.Visible := true;
     for j := 1 to 10 do
         DisplayEdit.Text := DisplayEdit.Text + IntToStr(number[j]) + ' ';
     SortButton.Visible := false;
end;

end.
