unit convert;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls;

type
  TConvForm = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    FEdit: TEdit;
    CEdit: TEdit;
    ExitButton: TButton;
    TempTrack: TTrackBar;
    procedure ExitButtonClick(Sender: TObject);
    procedure TempTrackChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ConvForm: TConvForm;

implementation

{$R *.DFM}

procedure TConvForm.ExitButtonClick(Sender: TObject);
begin
     close;
end;

procedure TConvForm.TempTrackChange(Sender: TObject);
var temp, celsius : real;
begin
     temp := TempTrack.Position;
     FEdit.Text := FloatToStrF(temp, ffFixed, 5, 2);
     celsius := (temp-32) / 9 * 5;
     CEdit.Text := FloatToStrF(celsius, ffFixed, 5, 2);
end;

end.
