unit guess;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TGuessForm = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    CountLabel: TLabel;
    StartButton: TButton;
    ExitButton: TButton;
    procedure ExitButtonClick(Sender: TObject);
    procedure StartButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  GuessForm: TGuessForm;

implementation

{$R *.DFM}

procedure TGuessForm.ExitButtonClick(Sender: TObject);
begin
     close;
end;

procedure TGuessForm.StartButtonClick(Sender: TObject);
//Give user 10 guesses to find random number between 1 and 1000
var  count, number, guess : integer;
     correct : boolean;
     numb : string;
begin
     randomize;
     number := random(1000) + 1;              //choose number to guess
     correct := false;
     count := 1;
     CountLabel.Caption := '1';
     while (count < 11) and not correct do    //up to 10 guesses
           begin
           numb := InputBox('Guess ', 'Enter your guess', '');
           guess := StrToInt(numb);
           if guess = number                  //correct
              then begin
                   ShowMessage('Correct - Well Done!');
                   correct := true;
                   end
              else if guess < number          //too high or too low
                      then ShowMessage('Too Low!')
                      else ShowMessage('Too High!');
           count := count + 1;                //count guesses
           CountLabel.Caption := IntToStr(count);
           end;
     CountLabel.Caption := '';
     numb := IntToStr(number);
     ShowMessage('The number was ' + numb);
end;

end.
