unit traffic;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TLightsForm = class(TForm)
    Label1: TLabel;
    RedShape: TShape;
    AmberShape: TShape;
    GreenShape: TShape;
    StopButton: TButton;
    WaitButton: TButton;
    GoButton: TButton;
    ExitButton: TButton;
    Image1: TImage;
    procedure StopButtonClick(Sender: TObject);
    procedure WaitButtonClick(Sender: TObject);
    procedure GoButtonClick(Sender: TObject);
    procedure ExitButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  LightsForm: TLightsForm;

implementation

{$R *.DFM}

procedure TLightsForm.StopButtonClick(Sender: TObject);
begin
     RedShape.Brush.Color := clRed;
     AmberShape.Brush.Color := clGray;
     GreenShape.Brush.Color := clGray;
end;

procedure TLightsForm.WaitButtonClick(Sender: TObject);
begin
     RedShape.Brush.Color := clGray;
     AmberShape.Brush.Color := clYellow;
     GreenShape.Brush.Color := clGray;
end;

procedure TLightsForm.GoButtonClick(Sender: TObject);
begin
     RedShape.Brush.Color := clGray;
     AmberShape.Brush.Color := clGray;
     GreenShape.Brush.Color := clGreen;
end;

procedure TLightsForm.ExitButtonClick(Sender: TObject);
begin
     close;
end;

end.
