unit area;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TAreaForm = class(TForm)
    Shape1: TShape;
    RadiusLabel: TLabel;
    AreaLabel: TLabel;
    DisplayLabel: TLabel;
    RadiusEdit: TEdit;
    ExitButton: TButton;
    CalcButton: TButton;
    procedure ExitButtonClick(Sender: TObject);
    procedure CalcButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AreaForm: TAreaForm;

implementation

{$R *.DFM}

procedure TAreaForm.ExitButtonClick(Sender: TObject);
begin
     close;
end;

procedure TAreaForm.CalcButtonClick(Sender: TObject);
const     pi = 3.1415;
var       radius, area : real;
begin
     radius := StrToFloat(RadiusEdit.Text);
     area :=  pi * radius * radius;
     DisplayLabel.Caption := FloatToStrF(area, ffFixed, 5,2);
end;

end.
