unit poker;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, jpeg, ComCtrls;

type
  TPokerForm = class(TForm)
    TitleLabel: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    MoneyImage: TImage;
    Button1: TButton;
    HandleTrack: TTrackBar;
    procedure Button1Click(Sender: TObject);
    procedure HandleTrackChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PokerForm: TPokerForm;

implementation

{$R *.dfm}


procedure TPokerForm.Button1Click(Sender: TObject);
begin
        close;
end;


procedure TPokerForm.HandleTrackChange(Sender: TObject);
//Use trackbar to simulate poker machine
var  one, two, three : integer;
begin
     randomize;
     if HandleTrack.Position = 100 then    //if end of pull
        begin
        HandleTrack.Position := 0;         //reset handle to top
        one := random(10) + 1;              //select values
        two := random(10) + 1;
        three := random(10) + 1;
        Label1.Caption := IntToStr(one);    //display values
        Label2.Caption := IntToStr(two);
        Label3.Caption := IntToStr(three);
        if (one = 7) or (two = 7) or (three = 7) then    //check for win
           begin
           MoneyImage.Visible := true;       //win
           beep;
           end
        else
           MoneyImage.Visible := false;      //no win
        end;
end;

end.
